/* Q10_smoothprep */

/* Prepare for budget and forecast smoothed sales queries in Q10 */
/* this template uses parameters $INPUT_MONTHS, $NUMBER_OF_MONTHS and $TABLE in addition
 * to the general parameters
 */

/* first, execute this: */

delete from tmprolling
;

/* then, for the month being queried for, 
 * determine the span of months that forms the input to the rolling average
 * for example, 199503 has the months 199501, 199502, 199503 as it input, while
 * every month 199506 and after has itself and the prior 5 months as inputs.
 * Along with the months, the number of months is required.
 * put the range of months in $INPUT_MONTHS
 */

insert into tmprolling (
	product_level, 
	customer_level,
	channel_level,
	time_level,
	dollarsales
)
select
	a.product_level, 
	a.customer_level,
	'Channel top',
	'$TIMEMEMBER',
	sum (a.dollarsales) / $NUMBER_OF_MONTHS As dollarsales
from
	$TABLE a, prodlevel, custlevel
where
	    a.time_level in ($INPUT_MONTHS)
	and prodlevel.code_level = a.product_level
	and custlevel.store_level = a.customer_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
group by
	a.product_level, 
	a.customer_level
;

/* end of template */
