/* Q1 SQL Template */

select
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_CHILD_LEVEL_FNAME,
	chanlevel.$CHAN_GIVEN_LEVEL_FNAME,
	timelevel.$TIME_CHILD_LEVEL_FNAME,
	sum (a.unitssold) AS Units, 
	sum (a.dollarsales) AS Dollars, 
	sum (a.dollarsales) / sum (a.unitssold) AS AvgSellingPrice
from
	actvars a, prodlevel, timelevel, custlevel, chanlevel
where
	    a.channel_level = '$CHANMEMBER'
	and a.product_level = prodlevel.code_level
	and a.time_level =  timelevel.Month_level
	and a.customer_level = custlevel.store_level
	and a.channel_level = chanlevel.base_level
	and prodlevel.$PROD_CHILD_LEVEL_FNAME in (
	  select member_name from prodtree where parent_name = '$PRODMEMBER'
	)
	and timelevel.$TIME_CHILD_LEVEL_FNAME in (
	  select member_name from timetree where parent_name = '$TIMEMEMBER'
	)
	and custlevel.$CUST_CHILD_LEVEL_FNAME in (
	  select member_name from custtree where parent_name = '$CUSTMEMBER'
	)	
group by
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	chanlevel.$CHAN_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_CHILD_LEVEL_FNAME,
	timelevel.$TIME_CHILD_LEVEL_FNAME
order by
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_CHILD_LEVEL_FNAME,
	timelevel.$TIME_CHILD_LEVEL_FNAME
