/* Q7 Template */
/* Assumes that Q7's temp tables properly filled */

select
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_CHILD_LEVEL_FNAME,
	timelevel.$TIME_GIVEN_LEVEL_FNAME,
	sum (a.unitssold)                        as SumUnits,
	sum (a.dollarsales)                      as SumDollars,
	sum (a.dollarsales) / sum (a.unitssold)  as Price,
	sum (a.DollarCost)                       as SumCost,
	sum (a.dollarsales) - sum (a.DollarCost) as Margin
from
	FcstMonthStoreProduct a, timelevel, prodlevel, custlevel
where
	    a.time_level = timelevel.Month_level
	and	a.product_level = prodlevel.code_level
	and a.store_level = custlevel.store_level
	and timelevel.$TIME_GIVEN_LEVEL_FNAME = '$TIMEMEMBER'
	and prodlevel.$PROD_CHILD_LEVEL_FNAME in (
	  select member_name from prodtree where parent_name = '$PRODMEMBER'
	)
	and custlevel.$CUST_CHILD_LEVEL_FNAME in (
	  select member_name from custtree where parent_name = '$CUSTMEMBER'
	)	
group by
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_CHILD_LEVEL_FNAME,
	timelevel.$TIME_GIVEN_LEVEL_FNAME
order by
	prodlevel.$PROD_CHILD_LEVEL_FNAME,
	custlevel.$CUST_CHILD_LEVEL_FNAME,
	timelevel.$TIME_GIVEN_LEVEL_FNAME
;

/* end of SQL */
