/* Q8 Prep */

delete FROM q8a_tmp
;

insert into q8a_tmp (
	product,
	customer,
	timeper,
	dollarsales
)
SELECT
	prodlevel.$PROD_GIVEN_LEVEL_FNAME AS product,
	custlevel.$CUST_GIVEN_LEVEL_FNAME AS customer,
	'199606',
	sum (a.dollarsales) AS dollarsales
FROM
	actvars a, prodlevel, custlevel
WHERE
	    a.time_level = '199606'
	and a.product_level = prodlevel.code_level
	and a.customer_level = custlevel.store_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
GROUP BY
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME
;

insert into q8a_tmp (
	product,
	customer,
	timeper,
	dollarsales
)
SELECT
	prodlevel.$PROD_GIVEN_LEVEL_FNAME AS product,
	custlevel.$CUST_GIVEN_LEVEL_FNAME AS customer,
	'199606YTD',
	sum (a.dollarsales) AS dollarsales
FROM
	actvars a, prodlevel, custlevel
WHERE
	    a.time_level in (
    		'199601', '199602', '199603', '199604', '199605', '199606'
	    )
	and a.product_level = prodlevel.code_level
	and a.customer_level = custlevel.store_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
GROUP BY
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME
;

delete FROM q8b_tmp
;

insert into q8b_tmp (
	product,
	customer,
	timeper,
	dollarsales
)
SELECT
	prodlevel.$PROD_GIVEN_LEVEL_FNAME AS product,
	custlevel.$CUST_GIVEN_LEVEL_FNAME AS customer,
	'199606',
	sum (a.dollarsales) AS dollarsales
FROM
	planvars a, prodlevel, custlevel
WHERE
	    a.time_level = '199606'
	and a.product_level = prodlevel.code_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and a.customer_level = custlevel.store_level
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
GROUP BY
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME
;

insert into q8b_tmp (
	product,
	customer,
	timeper,
	dollarsales
)
SELECT
	prodlevel.$PROD_GIVEN_LEVEL_FNAME AS product,
	custlevel.$CUST_GIVEN_LEVEL_FNAME AS customer,
	'199606YTD',
	sum (a.dollarsales) AS dollarsales
FROM
	planvars a, prodlevel, custlevel
WHERE
	    a.time_level in (
    		'199601', '199602', '199603', '199604', '199605', '199606'
		)
	and a.product_level = prodlevel.code_level
	and a.customer_level = custlevel.store_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
GROUP BY
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME
;

delete FROM q8c_tmp
;

insert into q8c_tmp (
	product,
	customer,
	timeper,
	dollarsales
)
SELECT
	prodlevel.$PROD_GIVEN_LEVEL_FNAME AS product,
	custlevel.$CUST_GIVEN_LEVEL_FNAME AS customer,
	'199506',
	sum (a.dollarsales) AS dollarsales
FROM
	actvars a, prodlevel, custlevel
WHERE
	    a.time_level = '199506'
	and a.product_level = prodlevel.code_level
	and a.customer_level = custlevel.store_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
GROUP BY
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME
;

insert into q8c_tmp (
	product,
	customer,
	timeper,
	dollarsales
)
SELECT
	prodlevel.$PROD_GIVEN_LEVEL_FNAME AS product,
	custlevel.$CUST_GIVEN_LEVEL_FNAME AS customer,
	'199506YTD',
	sum (a.dollarsales) AS dollarsales
FROM
	actvars a, prodlevel, custlevel
WHERE
	    a.time_level in (
			'199501', '199502', '199503', '199504', '199505', '199506'
		)
	and a.product_level = prodlevel.code_level
	and a.customer_level = custlevel.store_level
	and prodlevel.$PROD_GIVEN_LEVEL_FNAME = '$PRODMEMBER'
	and custlevel.$CUST_GIVEN_LEVEL_FNAME = '$CUSTMEMBER'
GROUP BY
	prodlevel.$PROD_GIVEN_LEVEL_FNAME,
	custlevel.$CUST_GIVEN_LEVEL_FNAME
;

commit
;

/* end of SQL */
